Subject: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: João Távora <[email-masked]>
Date: Fri, 29 Jun 2018 20:04:58 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
>> 
>> Is that worth the hassle?  The caller asked to replace the entire
>> buffer by something else, why should they expect after-change hooks to
>> be run on something other than the entire buffer?
>
> s/entire buffer/entire accessible portion of buffer/g

FWIW I use this on potentially small sections of the buffer, by first
narrowing down to it.  OTOH I have no need for modification hooks.  And
if I did, I'd probably use a simpler region-replacing strategy for every
region besides the one where point is.

João